<?php
/*
Simple:Press
Policy Docs Plugin Support Routines
$LastChangedDate: 2013-04-23 07:08:53 -0700 (Tue, 23 Apr 2013) $
$Rev: 10202 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_policy_doc_uninstall_option_links($actionlink, $plugin) {
	if ($plugin == 'policy-doc/sp-policy-doc-plugin.php') {
        $url = SFADMINPLUGINS.'&amp;action=uninstall&amp;plugin='.$plugin.'&amp;sfnonce='.wp_create_nonce('forum-adminform_plugins');
        $actionlink.= "&nbsp;&nbsp;<a href='$url' title='".__('Uninstall this plugin', 'sp-policy')."'>".__('Uninstall', 'sp-policy').'</a>';
        $url = SFADMINCOMPONENTS.'&amp;tab=plugin&amp;admin=sp_policy_doc_admin_options&amp;save=sp_policy_doc_admin_save_options&amp;form=1';
        $actionlink.= "&nbsp;&nbsp;<a href='$url' title='".__('Options', 'sp-policy')."'>".__('Options', 'sp-policy').'</a>';
    }
	return $actionlink;
}

function spPolicyDocTemplateName($name, $pageview) {
	if ($pageview != 'policy') return $name;

	# locate template - check if in theme if not use plugin
	$action = (isset($_GET['popup'])) ? sp_esc_str($_GET['popup']) : '';
    if ($action == 'reg') {
        $tempName = sp_find_template(PDTEMPDIR, 'spRegisterDocView.php');
    } elseif ($action == 'priv') {
        $tempName = sp_find_template(PDTEMPDIR, 'spPrivacyDocView.php');
    } else {
        $tempName = sp_find_template(PDTEMPDIR, 'spPolicyDocView.php');
    }
	return $tempName;
}

function sp_policy_doc_do_header() {
	# check for css in current theme first
	$css = sp_find_css(PDCSS, 'sp-policy-doc.css');
    sp_plugin_enqueue_style('sp-policy', $css);
}

function sp_policy_doc_do_tooltip($tooltips) {
	$tooltips['policies'] = 'The policy documents folder can optionally contain plain text files (which can include HTML tags) describing forum policy.
	If used, two documents can be defined directly used by Simple:Press. These are:
	user registration policy document and site privacy document.
	Note that in many countries, a statement of privacy policy is a legal requirement.';
	return $tooltips;
}

function sp_policy_doc_retrieve($policy) {
	$spPolicy = sp_get_option('policy-doc');
	$item = ($policy == 'privacy') ? 'privfile' : 'regfile';
	if (!empty($spPolicy[$item])) {
		# text file option
		$sfconfig = sp_get_option('sfconfig');
		$filename = WP_CONTENT_DIR.'/'.$sfconfig['policies'].'/'.$spPolicy[$item];
		if (file_exists($filename) == false) {
			return __('Policy Document Not Found', 'sp-policy');
		} else {
			$handle = fopen($filename, 'r');
			$contents = fread($handle, filesize($filename));
			fclose($handle);
			return $contents;
		}
	} else {
		# sfmeta option
		$policytext = sp_get_sfmeta($policy, 'policy');
		return sp_filter_text_display($policytext[0]['meta_value']);
	}
}

?>