<?php
/*
Simple:Press
Policy Docs plugin install routine
$LastChangedDate: 2013-02-17 13:09:35 -0700 (Sun, 17 Feb 2013) $
$Rev: 9856 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_policy_doc_do_install() {
	$policy = sp_get_option('policy-doc');
	if (empty($policy)) {
		$policy = array();
		$oldpolicy = sp_get_option('sfpolicy');
		if (empty($oldpolicy)) {
			# storage location
			$basepath = '';
			$perms = fileperms(SF_STORE_DIR);
			$owners = stat(SF_STORE_DIR);
			if($perms === false) $perms = 0755;
			if (is_multisite()) {
                # construct multisite storage directory structure and create if necessary
                $basepath .= 'blogs.dir/'.SFBLOGID;
                if (!file_exists(SF_STORE_DIR.'/'.$basepath)) @mkdir(SF_STORE_DIR.'/'.$basepath, $perms);
                $basepath .= '/files';
                if (!file_exists(SF_STORE_DIR.'/'.$basepath)) @mkdir(SF_STORE_DIR.'/'.$basepath, $perms);
                $basepath .= '/';
            }

			$basepath .= 'sp-resources';
			if (!file_exists(SF_STORE_DIR.'/'.$basepath)) @mkdir(SF_STORE_DIR.'/'.$basepath, $perms);

			if (file_exists(SF_STORE_DIR.'/'.$basepath)) {
				# Is the ownership correct?
				$newowners = stat(SF_STORE_DIR.'/'.$basepath);
				if($newowners['uid']!=$owners['uid'] || $newowners['gid']!=$owners['gid']) {
					@chown(SF_STORE_DIR.'/'.$basepath, $owners['uid']);
					@chgrp(SF_STORE_DIR.'/'.$basepath, $owners['gid']);
				}
			}

			$sfconfig = sp_get_option('sfconfig');
			$sfconfig['policies'] = $basepath.'/forum-policies';
			sp_update_option('sfconfig', $sfconfig);

			$newpath = SF_STORE_DIR.'/'.$sfconfig['policies'];
			@mkdir($newpath, 0777);

			# options
			$policy['regcheck'] = false;
			$policy['regform'] = true;
			$policy['regfile'] = '';
			$policy['privfile'] = '';
		} else {
			# upgrade from core
			$policy = array();
			$policy['regcheck'] = $oldpolicy['sfregcheck'];
			$policy['regform'] = $oldpolicy['sfregtext'];
			$policy['regfile'] = $oldpolicy['sfregfile'];
			$policy['privfile'] = $oldpolicy['sfprivfile'];
			sp_delete_option('sfpolicy');
		}

		sp_add_option('policy-doc', $policy);
    }

	# flush rewrite rules for pretty permalinks
	global $wp_rewrite;
	$wp_rewrite->flush_rules();
}
?>