<?php
/*
Simple:Press Plugin Title: Policy Documents
Version: 1.3.2
Plugin URI: http://simple-press.com
Description: A Simple:Press plugin for displaying a forum policy document in your forum
Author: Andy Staines & Steve Klasen
Author URI: http://simple-press.com
Simple:Press Versions: 5.2 and above
$LastChangedDate: 2013-08-23 12:55:44 -0700 (Fri, 23 Aug 2013) $
$Rev: 10569 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

define('PDDIR', 		SFPLUGINDIR.'policy-doc/');
define('PDADMINDIR', 	SFPLUGINDIR.'policy-doc/admin/');
define('PDAHAHDIR', 	SFPLUGINDIR.'policy-doc/ahah/');
define('PDLIBDIR', 		SFPLUGINDIR.'policy-doc/library/');
define('PDSCRIPT', 		SFPLUGINURL.'policy-doc/resources/jscript/');
define('PDTAGSDIR', 	SFPLUGINDIR.'policy-doc/template-tags/');
define('PDTEMPDIR', 	SFPLUGINDIR.'policy-doc/template-files/');
define('PDCSS', 		SFPLUGINURL.'policy-doc/resources/css/');
define('PDIMAGES',	 	SFPLUGINURL.'policy-doc/resources/images/');

add_action('sph_activate_policy-doc/sp-policy-doc-plugin.php', 	'sp_policy_doc_install');
add_action('sph_uninstall_policy-doc/sp-policy-doc-plugin.php', 'sp_policy_doc_uninstall');
add_action('sph_admin_menu', 									'sp_policy_doc_menu');
add_action('sph_ahah_handler_policy-doc', 						'sp_policy_doc_ahah_manage');
add_action('sph_integration_storage_panel_location', 			'sp_policy_doc_storage_location');
add_action('sph_integration_storage_save', 						'sp_policy_doc_storage_save');
add_action('sph_print_plugin_scripts', 							'sp_policy_doc_load_js');
add_action('sph_print_plugin_styles', 							'sp_policy_doc_header');
add_action('init', 												'sp_policy_doc_localization');
add_action('sph_uninstalled', 								    'sp_policy_doc_sp_uninstall');
add_action('sph_get_query_vars', 								'sp_policy_doc_get_query_vars');
add_action('sph_get_def_query_vars', 							'sp_policy_doc_get_def_query_vars');

add_filter('sph_plugins_active_buttons', 		'sp_policy_doc_uninstall_option', 10, 2);
add_filter('sph_admin_help-admin-components', 	'sp_policy_doc_admin_help', 10, 3);
add_filter('sph_integration_tooltips', 			'sp_policy_doc_tooltip');
add_filter('sph_RegisterButton_args', 			'sp_policy_doc_register_link');
add_filter('sph_pageview_policy', 				'sp_policy_doc_render_page');
add_filter('sph_rewrite_rules_start', 			'sp_policy_doc_rewrite_rules', 10, 3);
add_filter('sph_query_vars', 					'sp_policy_doc_query_vars');
add_filter('sph_pageview', 						'sp_policy_doc_pageview');
add_filter('sph_canonical_url', 				'sp_policy_doc_canonical_url');
add_filter('sph_page_title', 					'sp_policy_doc_page_title', 1, 2);
add_filter('sph_BreadCrumbs', 				    'sp_policy_doc_breadcrumb', 10, 5);
add_filter('sph_BreadCrumbsMobile', 			'sp_policy_doc_breadcrumbMobile', 10, 2);
add_filter('sph_DefaultViewTemplate',			'sp_policy_doc_template_name', 10, 2);

function sp_policy_doc_menu() {
    $subpanels = array(
                __('Policy Documents', 'sp-policy') => array('admin' => 'sp_policy_doc_admin_options', 'save' => 'sp_policy_doc_admin_save_options', 'form' => 1, 'id' => 'policyopt')
                            );
    sp_add_admin_subpanel('components', $subpanels);
}

function sp_policy_doc_admin_options() {
    include_once(PDADMINDIR.'sp-policy-doc-admin-options.php');
	sp_policy_doc_admin_options_form();
}

function sp_policy_doc_admin_save_options() {
    include_once(PDADMINDIR.'sp-policy-doc-admin-options-save.php');
    return sp_policy_doc_admin_options_save();
}

function sp_policy_doc_admin_help($file, $tag, $lang) {
    if ($tag == '[registration-policy]' || $tag == '[privacy-policy]') $file = PDADMINDIR.'sp-policy-doc-admin-help.'.$lang;
    return $file;
}

function sp_policy_doc_uninstall_option($actionlink, $plugin) {
    include_once(PDLIBDIR.'sp-policy-doc-components.php');
    $actionlink = sp_policy_doc_uninstall_option_links($actionlink, $plugin);
	return $actionlink;
}

function sp_policy_doc_localization() {
	sp_plugin_localisation('sp-policy');
}

function sp_policy_doc_uninstall() {
    include_once(PDDIR.'sp-policy-doc-uninstall.php');
    sp_policy_doc_do_uninstall();
}

function sp_policy_doc_sp_uninstall() {
	include_once(PDDIR.'sp-policy-doc-uninstall.php');
    sp_policy_doc_do_sp_uninstall();
}

function sp_policy_doc_install() {
    include_once(PDDIR.'sp-policy-doc-install.php');
    sp_policy_doc_do_install();
}

function sp_policy_doc_rewrite_rules($rules, $slugmatch, $slug) {
	$rules[$slugmatch.'/policy/?$'] = 'index.php?pagename='.$slug.'&sf_policy=show';
    return $rules;
}

function sp_policy_doc_query_vars($vars) {
	$vars[] = 'sf_policy';
    return $vars;
}

function sp_policy_doc_get_query_vars() {
    global $spVars;
	$spVars['policy'] = sp_esc_str(get_query_var('sf_policy'));
	if (empty($spVars['policy'])) $spVars['policy'] = 0;
}

function sp_policy_doc_get_def_query_vars($stuff) {
    global $spVars;
	if ($stuff[1] == 'policy') $spVars['policy'] = 'show';
	if (empty($spVars['policy'])) $spVars['policy'] = 0;
}

function sp_policy_doc_pageview($pageview) {
    global $spVars;
	if (!empty($spVars['policy'])) $pageview = 'policy';
    return $pageview;
}

function sp_policy_doc_canonical_url($url) {
    global $spVars;
	if ($spVars['pageview'] == 'policy') $url = sp_url('policy');
    return $url;
}

function sp_policy_doc_page_title($title, $sep) {
    global $spVars;
	$policy = (isset($spVars['policy'])) ? urlencode($spVars['policy']) : '';
	if (!empty($policy) && $policy == 'show') return __('Site Policy', 'sp-policy').$sep.$title;
    return $title;
}

function sp_policy_doc_breadcrumb($breadCrumbs, $args, $crumbEnd, $crumbSpace, $treeCount) {
    global $spVars;
    if (!empty($spVars['policy'])) {
    	extract($args, EXTR_SKIP);
    	if (!empty($icon)) $icon = "<img src='".SPTHEMEICONSURL.sanitize_file_name($icon)."' class='$iconClass' alt=''/>";
		$breadCrumbs.= $crumbEnd.str_repeat($crumbSpace, $treeCount)."<a class='$linkClass' href='".sp_url('policy')."'>".$icon.__('Policy', 'sp-policy').'</a>';
    }
    return $breadCrumbs;
}

function sp_policy_doc_breadcrumbMobile($breadCrumbs, $args) {
    global $spVars;
    if (!empty($spVars['policy'])) {
    	extract($args, EXTR_SKIP);
		$breadCrumbs.= "<a class='$tagClass' href='".sp_url('policy')."'>".$icon.__('Policy', 'sp-policy').'</a>';
    }
    return $breadCrumbs;
}

function sp_policy_doc_header() {
    include_once(PDLIBDIR.'sp-policy-doc-components.php');
    sp_policy_doc_do_header();
}

function sp_policy_doc_ahah_manage() {
	include_once(PDLIBDIR.'sp-policy-doc-components.php');
	include_once(PDAHAHDIR.'sp-policy-doc-ahah-manage.php');
}

function sp_policy_doc_storage_location() {
	$storage = sp_get_option('sfconfig');
	$path = WP_CONTENT_DIR.'/'.$storage['policies'];
	spa_paint_storage_input(__('Forum policy documents folder', 'sp-policy'), 'policies', $storage['policies'], $path, false, true);
}

function sp_policy_doc_storage_save() {
	$storage = sp_get_option('sfconfig');
	if (!empty($_POST['policies'])) $storage['policies'] = trim(sp_filter_title_save(trim($_POST['policies'])), '/');
	sp_update_option('sfconfig', $storage);
}

function sp_policy_doc_tooltip($tooltips) {
    include_once(PDLIBDIR.'sp-policy-doc-components.php');
    $tooltips = sp_policy_doc_do_tooltip($tooltips);
	return $tooltips;
}

function sp_policy_doc_load_js($footer) {
    sp_plugin_enqueue_script('spprivacydoc', PDSCRIPT.'sp-privacy-doc.js', array(), false, $footer);
}

function sp_policy_doc_register_link($args) {
	$policy = sp_get_option('policy-doc');
	if ($policy['regform']) $args['link'] = sp_url('policy');
	return $args;
}

function sp_policy_doc_template_name($name, $pageview) {
    include_once(PDLIBDIR.'sp-policy-doc-components.php');
    $name = spPolicyDocTemplateName($name, $pageview);
    return $name;
}

# Define Template Tags globally available (dont have to be enabled on template tag panel)

# for inline registration policy on the register form
function sp_PolicyDocShow($args='', $headerLabel='', $acceptLabel='') {
	include_once(PDTAGSDIR.'sp-policy-doc-show-tag.php');
	sp_PolicyDocShowTag($args, $headerLabel, $acceptLabel);
}

# for standalone registration policy page
function sp_PolicyDocRegisterShow($args='', $label='') {
	include_once(PDTAGSDIR.'sp-policy-doc-show-register-tag.php');
	sp_PolicyDocShowRegisterTag($args, $label);
}

# for standalone privacy policy page
function sp_PolicyDocPrivacyShow($args='', $label='') {
	include_once(PDTAGSDIR.'sp-policy-doc-show-privacy-tag.php');
	sp_PolicyDocShowPrivacyTag($args, $label);
}

function sp_PolicyDocPolicyLink($args='', $label='', $toolTip='') {
	include_once(PDTAGSDIR.'sp-policy-doc-policy-link-tag.php');
	sp_PolicyDocPolicyLinkTag($args, $label, $toolTip);
}

function sp_PolicyDocPrivacyLink($args='', $label='', $toolTip='') {
	include_once(PDTAGSDIR.'sp-policy-doc-privacy-link-tag.php');
	sp_PolicyDocPrivacyLinkTag($args, $label, $toolTip);
}
?>