<?php
/*
$LastChangedDate: 2013-03-09 11:52:15 -0700 (Sat, 09 Mar 2013) $
$Rev: 10027 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_PolicyDocPrivacyLinkTag($args='', $label='', $toolTip='') {
	$spPolicy = sp_get_option('policy-doc');
	$doc = sp_get_sfmeta('privacy', 'policy');
	if (empty($spPolicy['privfile']) && empty($doc[0])) return;

	$defs = array('tagId'    	=> 'spPrivacyDoc',
				  'tagClass' 	=> 'spPrivacyDoc',
				  'icon'        => 'sp_PolicyDoc.png',
				  'iconClass'	=> 'spIcon',
				  'linkClass'	=> 'spLink',
				  'popup'		=> 1,
				  );
	$a = wp_parse_args($args, $defs);
	$a = apply_filters('sph_PrivacyDoc_args', $a);
	extract($a, EXTR_SKIP);

	# sanitize before use
	$tagId	 	= esc_attr($tagId);
	$tagClass 	= esc_attr($tagClass);
	$icon		= sp_find_icon(PDIMAGES, sanitize_file_name($icon));
	$iconClass 	= esc_attr($iconClass);
	$popup   	= (int) $popup;
	if (!empty($label)) 	$label = sp_filter_title_display($label);
	if (!empty($toolTip)) 	$toolTip = esc_attr($toolTip);

	# build privacy policy url and render link to SP and popup
	$out = "<div id='$tagId' class='$tagClass'>";
    if ($popup) {
    	$site = SFHOMEURL.'index.php?sp_ahah=policy-doc&amp;sfnonce='.wp_create_nonce('forum-ahah').'&amp;popup=priv';
    	$out.= "<a rel='nofollow' class='$linkClass vtip' title='$toolTip' href='javascript:void(null)' onclick='spjDialogAjax(this, \"$site\", \"$toolTip\", 600, 0, \"center\");'>";
    } else {
		$out.= "<a rel='nofollow' class='$tagClass vtip' title='$toolTip' href='".sp_get_sfqurl(sp_url('policy')).'popup=priv'."'>";
    }
	if (!empty($icon)) $out.= "<img class='$iconClass' src='".$icon."' alt='' />";
	$out.= "$label</a></div>\n";

	$out = apply_filters('sph_PrivacyDoc', $out, $a);
	echo $out;
}
?>